extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de tipos de ajustes"
    - var CabeceraListado = ["Ajuste", "Descripción"]
    - var CantidadListado = "{{ tTiposAjustes.length }}"
    - var TituloDatos = "Detalles de tipo de ajuste"
    - var TamanoColeccion = "tTiposAjustes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tAjusteFor of tTiposAjustes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_TipoAjustes_Eliminar(tAjusteFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_TipoAjustes(tAjusteFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tAjusteFor.Codtipoajusteinv}}
        td
            h6.text-xs.text-nowrap {{ tAjusteFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-tipo-ajustes-cabecera([(TipoAjuste)]="tTipoAjusteActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-tipo-ajustes-detalles([(TipoAjuste)]="tTipoAjusteActual")
